%define	tversion	3.5

Name:		x3270
Version:	3.5ga10
Release:	%mkrel 1
Summary:	An X Window System based IBM 3278/3279 terminal emulator
License:	BSD
Group:		Terminals
URL:		http://x3270.bgp.nu/
Source0:	http://prdownloads.sourceforge.net/%{name}/suite3270-%{version}-src.tgz
Patch0:		x3270-3.5-fdr-mga-ibmhostpath.patch
Patch1:		x3270-3.5-paths.patch
BuildRequires:	bdftopcf
BuildRequires:	dos2unix
BuildRequires:	imake
BuildRequires:	libtool
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(ncurses)

Requires(post):		mkfontdir
Requires(postun):	mkfontdir

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an
IBM 3278/3279 terminal emulator.

%prep
%setup -q -n suite3270-%{tversion}
%autopatch -p1

for d in c3270 pr3287 s3270 x3270; do
    for f in LICENSE README html; do
	mv $d/$f $f.$d
    done
done

%build
%configure2_5x \
		--enable-ssl=yes \
		--with-fontdir=%{_xfontdir}/misc \
		--x-libraries=%{_sysconfdir}/X11 \
		--enable-app-defaults \
		--enable-x3270 \
		--enable-c3270 \
		--enable-s3270 \
		--enable-pr3287

%make_build CCOPTIONS="%{optflags}"

### build playback tool ###
pushd Playback
%make_build CFLAGS="%{optflags}"
popd

%install
%make_install install.man

rm -f %{buildroot}%{_xfontdir}/misc/fonts.dir

install -p -m 755 Playback/playback %{buildroot}%{_bindir}
install -p -m 644 Playback/playback.man %{buildroot}%{_mandir}/man1/playback.1

# (sb) make rpmlint happier
chmod 0644 html.x3270/Keymap.html
dos2unix -f README.txt

# desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X3270
Comment=IBM 3270 Terminal Emulator
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;
EOF

%post
mkfontdir %{_xfontdir}/misc

%postun
mkfontdir %{_xfontdir}/misc

%files
%doc x3270/Examples html* LICENSE* README*
%{_bindir}/*
%{_xfontdir}/misc/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_datadir}/applications/%{name}.desktop
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
#%%config(noreplace) %%{_sysconfdir}/X11/app-defaults/X3270


%changelog
* Sun Jan 29 2017 daviddavid <daviddavid> 3.5ga10-1.mga6
+ Revision: 1084136
- new version: 3.5ga10

* Tue Dec 27 2016 daviddavid <daviddavid> 3.5ga9-1.mga6
+ Revision: 1078230
- new version: 3.5ga9

* Tue May 17 2016 daviddavid <daviddavid> 3.5ga8-1.mga6
+ Revision: 1016377
- new version: 3.5ga8
- rename and rediff ibmhostpath patch

* Thu Mar 03 2016 umeabot <umeabot> 3.3.15ga9-3.mga6
+ Revision: 984773
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 3.3.15ga9-2.mga6
+ Revision: 959185
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 daviddavid <daviddavid> 3.3.15ga9-1.mga6
+ Revision: 838096
- new version: 3.3.15ga9

* Wed Oct 15 2014 umeabot <umeabot> 3.3.14ga11-3.mga5
+ Revision: 750812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.14ga11-2.mga5
+ Revision: 690536
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 daviddavid <daviddavid> 3.3.14ga11-1.mga5
+ Revision: 666895
- fix license (BSD instead of MIT)
- add and rediff patch from fedora to fix ibmhost path
- build all project available
- sync spec file with fedora
- add some BRs (readline, libtool, ncurses)
- update Url and Source link-url
- fix Exec path of desktop file
- update file list
- new version: 3.3.14ga11

* Sat Oct 19 2013 umeabot <umeabot> 3.3.12ga13-2.mga4
+ Revision: 530079
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 fwang <fwang> 3.3.12ga13-1.mga4
+ Revision: 454979
- new version 3.3.12ga13

* Mon Jan 14 2013 umeabot <umeabot> 3.3.9ga12-4.mga3
+ Revision: 386406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 3.3.9ga12-3.mga3
+ Revision: 333718
- fix dos2unix usage

* Tue Mar 08 2011 ennael <ennael> 3.3.9ga12-3.mga1
+ Revision: 66489
- clean spec file
- imported package x3270

